const express = require('express');
const router = express.Router();

// Importă conexiunea la baza de date
const pool = require('../db'); 

// Importă middleware-ul de autentificare
const authenticateToken = require('../middleware/auth');

router.get('/', async (req, res) => {
    try {
        const [results] = await pool.promise().query('SELECT id_gestiune, denumire_gestiune, cont_gestiune FROM gestiuni');
        res.json(results);
    } catch (err) {
        console.error('Error fetching VAT rates:', err);
        res.status(500).send('Internal Server Error');
    }
});
module.exports = router;